/* Generated by dbus-binding-tool; do not edit! */

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#ifndef _DBUS_GLIB_ASYNC_DATA_FREE
#define _DBUS_GLIB_ASYNC_DATA_FREE
static
#ifdef G_HAVE_INLINE
inline
#endif
void
_dbus_glib_async_data_free (gpointer stuff)
{
	g_slice_free (DBusGAsyncData, stuff);
}
#endif

#ifndef DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Preferences
#define DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Preferences

static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Preferences_get_profiles (DBusGProxy *proxy, char *** OUT_profiles, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetProfiles", error, G_TYPE_INVALID, G_TYPE_STRV, OUT_profiles, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Preferences_get_profiles_reply) (DBusGProxy *proxy, char * *OUT_profiles, GError *error, gpointer userdata);

static void
org_freesmartphone_Preferences_get_profiles_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  char ** OUT_profiles;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_STRV, &OUT_profiles, G_TYPE_INVALID);
  (*(org_freesmartphone_Preferences_get_profiles_reply)data->cb) (proxy, OUT_profiles, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Preferences_get_profiles_async (DBusGProxy *proxy, org_freesmartphone_Preferences_get_profiles_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetProfiles", org_freesmartphone_Preferences_get_profiles_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Preferences_set_profile (DBusGProxy *proxy, const char * IN_profile, GError **error)

{
  return dbus_g_proxy_call (proxy, "SetProfile", error, G_TYPE_STRING, IN_profile, G_TYPE_INVALID, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Preferences_set_profile_reply) (DBusGProxy *proxy, GError *error, gpointer userdata);

static void
org_freesmartphone_Preferences_set_profile_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_INVALID);
  (*(org_freesmartphone_Preferences_set_profile_reply)data->cb) (proxy, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Preferences_set_profile_async (DBusGProxy *proxy, const char * IN_profile, org_freesmartphone_Preferences_set_profile_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "SetProfile", org_freesmartphone_Preferences_set_profile_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_STRING, IN_profile, G_TYPE_INVALID);
}
static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_Preferences_get_profile (DBusGProxy *proxy, char ** OUT_profile, GError **error)

{
  return dbus_g_proxy_call (proxy, "GetProfile", error, G_TYPE_INVALID, G_TYPE_STRING, OUT_profile, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_Preferences_get_profile_reply) (DBusGProxy *proxy, char * OUT_profile, GError *error, gpointer userdata);

static void
org_freesmartphone_Preferences_get_profile_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  char * OUT_profile;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_STRING, &OUT_profile, G_TYPE_INVALID);
  (*(org_freesmartphone_Preferences_get_profile_reply)data->cb) (proxy, OUT_profile, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_Preferences_get_profile_async (DBusGProxy *proxy, org_freesmartphone_Preferences_get_profile_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "GetProfile", org_freesmartphone_Preferences_get_profile_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
#endif /* defined DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_Preferences */

G_END_DECLS
